=== modified file 'debian/bcmwl-kernel-source.prerm'
--- debian/bcmwl-kernel-source.prerm	2010-11-25 15:06:14 +0000
+++ debian/bcmwl-kernel-source.prerm	2011-05-30 07:06:13 +0000
@@ -10,8 +10,10 @@
 CVERSION=`dpkg-query -W -f='${Version}' bcmwl-kernel-source | awk -F "-" '{print $1}' | cut -d\: -f2`
 case "$1" in
     remove|upgrade)
-		echo "Removing all DKMS Modules"
-		dkms remove -m bcmwl -v $CVERSION --all > /dev/null
+		count=`dkms status -m bcmwl -v $CVERSION | wc -l`
+		echo "Removing all DKMS Modules ($count)"
+		[ $count -le 0 ] && true ||
+			dkms remove -m bcmwl -v $CVERSION --all > /dev/null
 		echo "Done."
         ;;
 esac

